Bug 1281879 - (CVE-2015-7498) CVE-2015-7498 libxml2: Heap-based buffer overflow in xmlParseXmlDecl
CVE-2015-7498 libxml2: Heap-based buffer overflow in xmlParseXmlDecl
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20151201,repor...
: Security
Depends On: 1284794 1286495 1286496 1286497 1322880
Blocks: 1274223 1281960 1318206
  Show dependency treegraph
 
Reported: 2015-11-13 12:04 EST by Adam Mariš
Modified: 2017-03-08 02:37 EST (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A denial of service flaw was found in libxml2. A remote attacker could provide a specially crafted XML or HTML file that, when processed by an application using libxml2, would cause that application to crash.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-11-13 12:04:21 EST
Heap-based buffer overflow was found in xmlParseXmlDecl. When conversion failure happens, parser continues to extract more errors which may lead to unexpected behaviour.

Upstream bug:

https://bugzilla.gnome.org/show_bug.cgi?id=756527

Upstream patch:

https://git.gnome.org/browse/libxml2/commit/?id=afd27c21f6b36e22682b7da20d726bce2dcb2f43
Comment 2 Adam Mariš 2015-11-16 09:04:23 EST
Acknowledgments:

Name: the GNOME project
Upstream: Kostya Serebryany
Comment 6 Huzaifa S. Sidhpurwala 2015-12-01 04:55:31 EST
Upstream commit:

https://git.gnome.org/browse/libxml2/commit/?id=afd27c21f6b36e22682b7da20d726bce2dcb2f43
Comment 7 errata-xmlrpc 2015-12-07 05:14:36 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2015:2549 https://rhn.redhat.com/errata/RHSA-2015-2549.html
Comment 8 errata-xmlrpc 2015-12-07 07:00:38 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2550 https://rhn.redhat.com/errata/RHSA-2015-2550.html
Comment 12 errata-xmlrpc 2016-05-17 12:14:20 EDT
This issue has been addressed in the following products:



Via RHSA-2016:1089 https://rhn.redhat.com/errata/RHSA-2016-1089.html

Note You need to log in before you can comment on or make changes to this bug.